Hi everyone,

I'm using win32ole and trying to run a QueryInterface on an ole object
using ruby 1.8.7. I know it exists in ruby 1.9, but since watir runs
only on 1.8.7 I can't switch to 1.9. Is there a way to get
QueryInterface to work in ruby 1.8.7?

I tried to recompile the win32ole.so with a QueryInterface function
added, but when I run ruby I get a "[BUG] cross-thread violation on
rb_gc()" when requiring 'win32ole'...

When trying to run the entire ruby I compiled I get: "no such file to
load -- ubygems (LoadError)" and irb won't come up

Thanks,
Idan.

-- 
Posted via http://www.ruby-forum.com/.